/**
   Classe qui implmente un ensemble de polygone
   @author David MONTET
*/

public class EnsemblePolygones {

  private int taille;
  private int i;
  private Polygone [] t;

  public EnsemblePolygones ( int n) {
      taille = n;
      i = 0;
      t = new Polygone [taille];
  }

  /**
       Permet d'ajouter un polynome au tableau
  */
  public void ajouterPolygone ( Polygone pol) {
     if ( i<=taille )  {
       t[i] = pol;
       i++;
     }
  }

  /**
      retourne la taille du tableau de Polygones
  */
  public int getTaille() {
     return taille;
  }

  public int getNbElement () {
    return i;
  }

  public double sommePerimetre() {
    double som=0.0;

    for (int j=0;j<i;j++)
      som = som +  t[j].calculerPerimetre();

    return som;
  }

  /**
     Affichage de tous les polygones <classe de polygone> : <po>, <p1>,...<pn>
   */
/*  public String toString () {
     String ch="";
     for (int j=0;j<i;j++)
         ch = ch + "\n" +  t[j].toString () ;
     return ch;
  }  */
}