/**
  La classe Point modlise un point  deux dimensions
  @version 1.0
  @author David Montet
*/

public class Point {

  private double x;
  private double y;

  public Point() {
    x = 0.0 ;
    y = 0.0;
  }
  public Point ( double _x, double _y) {
    x = _x;
    y = _y;
  }
  /**
     Retourne la distance qui separe le point courant et l'origine <i>(0,0)</i>
  */
  public double distance () {
    return Math.sqrt(  (0.0-x)*(0.0-x) + (0.0-y)* (0.0-y) );
  }
  /**
     Retourne la distance qui separe le point courant et celui pass en parametre
  */
  public double distance (Point p) {
    return Math.sqrt(  (p.getX()-x)*(p.getX()-x) + (p.getY()-y)* (p.getY()-y) );
  }

  /**
     Returns the X coordinate of the point in double precision
  */
  public double getX() {
    return x;
  }

  /**
     Returns the Y coordinate of the point in double precision.
  */
  public double getY() {
    return y;
  }

  /**
     Affiche les coordonnes du Point <i> (x, y)/<i>
  */
  /* public String toString()
  {
    return "("+x+", "+y+")";
  }
       */
}