
/**
   Modllise un polygone dans un espace a 2 dimensions    <br>
   @author David MONTET
   @version 1.0
*/
public class Polygone {

  private int nbCote;
  private Point [] t;

  public Polygone (int nbCoteP) {
     nbCote = nbCoteP;
     t = new Point [nbCote]; // indice de 0  N-1
  }

  /** Retourne le nombre de cote du polygone */
  public int GetNbrCotes ()  {
    return nbCote;
  }

  /** Retourne le point numero n */
  public Point getPoint ( int n )  {
      return t[n];
  }

  /** Change la valeur d'un point */
  public void setPoint (int n, Point p) {
      t[n] = p;
  }
  /** Change la valeur d'un Point */
  public void setPoint (int n, double x, double y) {
     Point ptemp;
     ptemp  = new Point (x, y);
     t[n] = ptemp;
  }

  /** Calcule et retourne la valeur du perimetre du polygone */ 
  public double calculerPerimetre()
  {
     double peri = 0.0;

     for ( int i = 0; i<nbCote-1; i++) {
            peri = peri + t[i].distance (t[i+1]);
     }
     peri = peri + t[nbCote-1].distance (t[0]);
     return peri;
  }

  /**
      Calcule la surface du polygone
      Retourne -1 si ce n'est pas possible
  */
  public double calculerSurface() {
          return -1.0;          //impossible de definir cette methode a ce niveau
  }

 /* public String toString() {
     String ch = new String();

     ch = t[j].getClass ().getName () + " : ";
     for ( int i=0;i<nbCote;i++) {
         ch = ch + t[i].toString () + ", ";
     }
  }
  */
} 