/**
 Classe Rectangle qui hrite de Polygone<br>
 @author David MONTET
 @version 1.0
*/

class Rectangle extends Polygone {

  public Rectangle (Point p0, Point p2)
  {
     super (4);
     Point p1,p3;
     p1 = new Point ( p2.getX (), p0.getY()  );
     p3 = new Point ( p0.getX (), p2.getY () );
     setPoint (0, p0);
     setPoint (1, p1);
     setPoint (2, p2);
     setPoint (3, p3);
  }

  /**
      Retourne la hauteur du triangle
  */
  public double getHauteur () {
    return  getPoint(1).getY () - getPoint(2).getY ();
  }

  /**
      Retourne la largeur du triangle
  */
  public double getLargeur () {
     return  getPoint(1).getX () - getPoint(0).getX ();
  }

 /**
     Calcule et retourne la surface du rectangle
 */
  public double calculerSurface() {
    return getHauteur() * getLargeur () ;
  }
} 
