/**
   Classe de test des formes geometriques   <br>
   @author David MONTET
   @version 1.0
*/
public class TestPoint {

  public static void main (String[] args) {

    /* 1. test de la classe Point */
    Point p1,p2,p3,p4;
    p1 = new Point (2.0, 3.0);
    p2 = new Point (8.0, 1.0);
    p3 = new Point (5.0, 5.0);
    p4 = new Point (4.0, 1.0);

    System.out.println (p1);
    System.out.println (p2);

    System.out.println ( "Distance de p1  p2 :" + p1.distance (p2) );
    System.out.println ( "Distance de p1 a l'origine :" + p1.distance() );

    /* 2. test de la classe Polygone */
    Polygone pol,pol2;

    pol = new Polygone (6);
    pol.setPoint(0,p1);
    pol.setPoint(1,p2);
    pol.setPoint(2, 3.0, 2.3);
    pol.setPoint(3,p3);
    pol.setPoint(4, 1.0, 8.0);
    pol.setPoint(5, 7.25, 4.3);

    System.out.println ("POINT DE Po1 (0) : " + pol.getPoint (0));
    System.out.println ("POINT DE Po1 (1) : " + pol.getPoint (1));
    System.out.println ("POINT DE Po1 (2) : " + pol.getPoint (2) +"...");

    System.out.println ("Perimetre de po1 = "+ pol.calculerPerimetre ());

    pol2 = pol;
    pol2.setPoint(2, 40.2, 22);

    /* 5. test de la classe Triangle */
   Triangle t;

    t = new Triangle (p1, p2, p3);
    System.out.println (t);
    t.changerPosition (0,p4);
    System.out.println ("Surface du triangle : " + t.calculerSurface ());
    System.out.println();


    /* 6. test de la classe Rectangle */
/*    Rectangle r;
    r = new Rectangle (p1,p2);
   // System.out.println ("RECTANGLE : " + r);
    System.out.println ("Largeur : " + r.getLargeur ());
    System.out.println ("Hauteur : " + r.getHauteur ());
    System.out.println ("Surface : " + r.calculerSurface ());

    EnsemblePolygones ep;
    ep =  new EnsemblePolygones (10);
    ep.ajouterPolygone (pol);
    ep.ajouterPolygone (pol2);
    ep.ajouterPolygone (r);
    ep.ajouterPolygone (t);
    ep.ajouterPolygone (pol);

    System.out.println("Taille de l'ensemble du polyg : " + ep.getTaille() );
    System.out.println("Somme des perimetres " + ep.sommePerimetre () );
    System.out.println (ep);      */
  }
}