
/**
  Permet de definir un triangle a partir de 3 points , <i>hrite de Polygone <br></i>
  @author david MONTET
  @version 1.0
*/
public class Triangle extends Polygone {

  /**
     Construit 1 Triangle  partir de 3 points
  */
  public Triangle (Point pp0, Point pp1, Point pp2) {
    super(3);
    setPoint(0, pp0);
    setPoint(1, pp1);
    setPoint(2, pp2);
  }

  /**
    Modifie la position d'un sommet du triangle
  */
  public void changerPosition ( int n, Point pn)  {
      setPoint(n, pn);
  }

 /* public String toString () {
      return " p0="+getPoint(0)+", p1="+getPoint(1)+", p2="+getPoint(2);
  }
 */ 

 /**
     Calcule et retourne la surface du Triangle
 */
  public double calculerSurface() {
    Point p;
    p = new Point (getPoint(2).getX (), getPoint(1).getY());
    return ( p.distance (getPoint(2)) * getPoint(0).distance (getPoint(2)) )/2;
  }

} 